package com.philisense.rdgo.bean.response;

import java.io.Serializable;
import java.util.List;

/**
 * Created by chenxiaopeng on 2017/12/26.
 */

public class OrderDetailBean implements Serializable{

    /**
     * success : 0
     * message : 查询成功!
     * data : {"transport":"xxxx承运公司","driver":"司机1","driverPhone":"15706844321","license":"浙AIL390","transportPhone":"15706844123","tunnel":"分销渠道1","sendCorp":"发货单位总部","sendPlace":"发货仓库总部1","rcvCorp":"收获单位1","rcvPlace":"浙江宁波","product":[{"brand":"优质品牌B","gene":1,"level":"3级","capacity":"6L","productCode":"2222","orderTotal":100,"sendNum":0},{"brand":"优质品牌B","gene":1,"level":"3级","capacity":"6L","productCode":"2222","orderTotal":100,"sendNum":0}]}
     */

    private int success;
    private String message;
    private DataBean data;

    public int getSuccess() {
        return success;
    }

    public void setSuccess(int success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean implements Serializable{
        /**
         * transport : xxxx承运公司
         * driver : 司机1
         * driverPhone : 15706844321
         * license : 浙AIL390
         * transportPhone : 15706844123
         * tunnel : 分销渠道1
         * sendCorp : 发货单位总部
         * sendPlace : 发货仓库总部1
         * rcvCorp : 收获单位1
         * rcvPlace : 浙江宁波
         * rcvPlace : 浙江宁波
         * product : [{"brand":"优质品牌B","gene":1,"level":"3级","capacity":"6L","productCode":"2222","orderTotal":100,"sendNum":0},{"brand":"优质品牌B","gene":1,"level":"3级","capacity":"6L","productCode":"2222","orderTotal":100,"sendNum":0}]
         */

        private String transport;
        private String driver;
        private String driverPhone;
        private String license;
        private String transportPhone;
        private String tunnel;
        private String sendCorp;
        private String sendPlace;
        private String rcvCorp;
        private int status;
        private String rcvPlace;
        private int type;
        private List<ProductBean> product;
        private String orderId;

        public String getOrderId() {
            return orderId;
        }

        public void setOrderId(String orderId) {
            this.orderId = orderId;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public String getTransport() {
            return transport;
        }

        public void setTransport(String transport) {
            this.transport = transport;
        }

        public String getDriver() {
            return driver;
        }

        public void setDriver(String driver) {
            this.driver = driver;
        }

        public String getDriverPhone() {
            return driverPhone;
        }

        public void setDriverPhone(String driverPhone) {
            this.driverPhone = driverPhone;
        }

        public String getLicense() {
            return license;
        }

        public void setLicense(String license) {
            this.license = license;
        }

        public String getTransportPhone() {
            return transportPhone;
        }

        public void setTransportPhone(String transportPhone) {
            this.transportPhone = transportPhone;
        }

        public String getTunnel() {
            return tunnel;
        }

        public void setTunnel(String tunnel) {
            this.tunnel = tunnel;
        }

        public String getSendCorp() {
            return sendCorp;
        }

        public void setSendCorp(String sendCorp) {
            this.sendCorp = sendCorp;
        }

        public String getSendPlace() {
            return sendPlace;
        }

        public void setSendPlace(String sendPlace) {
            this.sendPlace = sendPlace;
        }

        public String getRcvCorp() {
            return rcvCorp;
        }

        public void setRcvCorp(String rcvCorp) {
            this.rcvCorp = rcvCorp;
        }

        public String getRcvPlace() {
            return rcvPlace;
        }

        public void setRcvPlace(String rcvPlace) {
            this.rcvPlace = rcvPlace;
        }

        public List<ProductBean> getProduct() {
            return product;
        }

        public void setProduct(List<ProductBean> product) {
            this.product = product;
        }

        public static class ProductBean implements Serializable{
            /**
             * brand : 优质品牌B
             * gene : 1
             * level : 3级
             * capacity : 6L
             * productCode : 2222
             * orderTotal : 100
             * sendNum : 0
             * typeName : 22
             */

            private String brand;
            private String _id;
            private String sendId;
            private int gene;
            private String level;
            private String capacity;
            private String productCode;
            private String typeName;
            private String orderId;
            private int sendBox;
            private String name;
            private String orderChildId;
            private int orderTotal;
            private int sendNum;

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public int getSendBox() {
                return sendBox;
            }

            public void setSendBox(int sendBox) {
                this.sendBox = sendBox;
            }

            public String getSendId() {
                return sendId;
            }

            public void setSendId(String sendId) {
                this.sendId = sendId;
            }

            public String getOrderChildId() {
                return orderChildId;
            }

            public void setOrderChildId(String orderChildId) {
                this.orderChildId = orderChildId;
            }

            public String get_id() {
                return _id;
            }

            public void set_id(String _id) {
                this._id = _id;
            }

            public String getOrderId() {
                return orderId;
            }

            public void setOrderId(String orderId) {
                this.orderId = orderId;
            }

            public String getTypeName() {
                return typeName;
            }

            public void setTypeName(String typeName) {
                this.typeName = typeName;
            }

            public String getBrand() {
                return brand;
            }

            public void setBrand(String brand) {
                this.brand = brand;
            }

            public int getGene() {
                return gene;
            }

            public void setGene(int gene) {
                this.gene = gene;
            }

            public String getLevel() {
                return level;
            }

            public void setLevel(String level) {
                this.level = level;
            }

            public String getCapacity() {
                return capacity;
            }

            public void setCapacity(String capacity) {
                this.capacity = capacity;
            }

            public String getProductCode() {
                return productCode;
            }

            public void setProductCode(String productCode) {
                this.productCode = productCode;
            }

            public int getOrderTotal() {
                return orderTotal;
            }

            public void setOrderTotal(int orderTotal) {
                this.orderTotal = orderTotal;
            }

            public int getSendNum() {
                return sendNum;
            }

            public void setSendNum(int sendNum) {
                this.sendNum = sendNum;
            }
        }
    }
}
